# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Mon Jul 19 17:17:00 2021
# ------------------------------------------------

package:
  name: aws-sam-translator
  version: 1.38.0
source:
  sha256: 0ecadda9cf5ab2318f57f1253181a2151e4c53cd35d21717a923c075a5a65cb6
  url: https://pypi.io/packages/source/a/aws-sam-translator/aws-sam-translator-1.38.0.tar.gz
build:
  noarch: python
  number: '0'
  script: /home/conda/feedstock_root/build_artifacts/aws-sam-translator_1626715074068/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pl/bin/python
    -m pip install . --no-deps -vv
  string: pyhd8ed1ab_0
requirements:
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2021.5.30 ha878542_0
    - certifi 2021.5.30 py39hf3d152e_0
    - ld_impl_linux-64 2.36.1 hea4e1c9_1
    - libffi 3.3 h58526e2_2
    - libgcc-ng 9.3.0 h2828fa1_19
    - libgomp 9.3.0 h2828fa1_19
    - libstdcxx-ng 9.3.0 h6de172a_19
    - ncurses 6.2 h58526e2_4
    - openssl 1.1.1k h7f98852_0
    - pip 21.1.3 pyhd8ed1ab_0
    - python 3.9.6 h49503c6_1_cpython
    - python_abi 3.9 2_cp39
    - readline 8.1 h46c0cb4_0
    - setuptools 49.6.0 py39hf3d152e_3
    - sqlite 3.36.0 h9cd32fc_0
    - tk 8.6.10 h21135ba_1
    - tzdata 2021a he74cb21_1
    - wheel 0.36.2 pyhd3deb0d_0
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h516909a_1010
  run:
    - boto3 >=1.5,<2.0a0
    - jsonschema >=3.0,<4.0a0
    - python >=3.6
    - six >=1.11,<2.0a0
test:
  commands:
    - pip check
  imports:
    - samtranslator
    - samtranslator.intrinsics
    - samtranslator.model
    - samtranslator.parser
    - samtranslator.plugins
    - samtranslator.policy_template_processor
    - samtranslator.public
    - samtranslator.sdk
    - samtranslator.swagger
    - samtranslator.translator
    - samtranslator.validator
  requires:
    - pip
about:
  description: 'You can use SAM to define serverless applications in simple and clean
    syntax.

    This GitHub project is the starting point for AWS SAM.

    It contains the SAM specification, the code that translates SAM templates into

    AWS CloudFormation stacks, general information about the model, and examples of
    common applications.

    '
  dev_url: https://github.com/awslabs/serverless-application-model
  doc_url: https://docs.aws.amazon.com/serverless-application-model/latest/developerguide/what-is-sam.html
  home: https://github.com/awslabs/serverless-application-model
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: AWS Serverless Application Model (AWS SAM) prescribes rules for expressing
    Serverless applications on AWS.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - hajapy
    - mxr-conda
    - ndmaxar
    - oblute
    - rluria14
